(function webpackUniversalModuleDefinition(root, factory) {
	if(typeof exports === 'object' && typeof module === 'object')
		module.exports = factory(require("react"), require("prop-types"));
	else if(typeof define === 'function' && define.amd)
		define(["react", "prop-types"], factory);
	else {
		var a = typeof exports === 'object' ? factory(require("react"), require("prop-types")) : factory(root["react"], root["prop-types"]);
		for(var i in a) (typeof exports === 'object' ? exports : root)[i] = a[i];
	}
})(typeof self !== 'undefined' ? self : this, function(__WEBPACK_EXTERNAL_MODULE_0__, __WEBPACK_EXTERNAL_MODULE_1__) {
return /******/ (function(modules) { // webpackBootstrap
/******/ 	// The module cache
/******/ 	var installedModules = {};
/******/
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/
/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId]) {
/******/ 			return installedModules[moduleId].exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			i: moduleId,
/******/ 			l: false,
/******/ 			exports: {}
/******/ 		};
/******/
/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);
/******/
/******/ 		// Flag the module as loaded
/******/ 		module.l = true;
/******/
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/
/******/
/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;
/******/
/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;
/******/
/******/ 	// define getter function for harmony exports
/******/ 	__webpack_require__.d = function(exports, name, getter) {
/******/ 		if(!__webpack_require__.o(exports, name)) {
/******/ 			Object.defineProperty(exports, name, {
/******/ 				configurable: false,
/******/ 				enumerable: true,
/******/ 				get: getter
/******/ 			});
/******/ 		}
/******/ 	};
/******/
/******/ 	// getDefaultExport function for compatibility with non-harmony modules
/******/ 	__webpack_require__.n = function(module) {
/******/ 		var getter = module && module.__esModule ?
/******/ 			function getDefault() { return module['default']; } :
/******/ 			function getModuleExports() { return module; };
/******/ 		__webpack_require__.d(getter, 'a', getter);
/******/ 		return getter;
/******/ 	};
/******/
/******/ 	// Object.prototype.hasOwnProperty.call
/******/ 	__webpack_require__.o = function(object, property) { return Object.prototype.hasOwnProperty.call(object, property); };
/******/
/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "/dest/";
/******/
/******/ 	// Load entry module and return exports
/******/ 	return __webpack_require__(__webpack_require__.s = 402);
/******/ })
/************************************************************************/
/******/ ({

/***/ 0:
/***/ (function(module, exports) {

module.exports = __WEBPACK_EXTERNAL_MODULE_0__;

/***/ }),

/***/ 1:
/***/ (function(module, exports) {

module.exports = __WEBPACK_EXTERNAL_MODULE_1__;

/***/ }),

/***/ 132:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
  value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = __webpack_require__(0);

var _react2 = _interopRequireDefault(_react);

var _propTypes = __webpack_require__(1);

var _propTypes2 = _interopRequireDefault(_propTypes);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var Colors = {
  Positive: '224, 63, 25',
  Negative: '32, 131, 6',
  Default: '221,221,221'
};

var getGenerator = function getGenerator(pd, w, h, minX, maxX, minY, maxY, session, yGap) {
  var desession = function desession(x) {
    var res = x;

    if (session && session.length > 1) {
      for (var i = 0; i < session.length - 1; i++) {
        var s = session[i][1];
        var ns = session[i + 1][0];

        if (x >= s && ns && x < ns) {
          res = s;

          break;
        } else if (x >= s && ns) {
          res = x - (ns - s);
        }
      }
    }

    return res;
  };

  // memoize constant computation results as much as possible
  var xr = desession(maxX) - minX;
  var yr = maxY - minY;
  var c1 = w - pd * 2;
  var c2 = pd + h / 2;
  var c3 = h / 2 - pd - yGap;

  return {
    getX: function getX(d) {
      return pd + c1 * ((desession(d) - minX) / xr);
    },
    getY: function getY(d) {
      return c2 + (yr === 0 ? 0 : c3 * (1 - (d - minY) / yr));
    },
    xr: xr,
    yr: yr,
    maxX: maxX,
    maxY: maxY,
    minX: minX,
    minY: minY
  };
};

var clamp = function clamp(u, b, n) {
  return Math.max(Math.min(n, u), b);
};

var id = 0;

/**
 * Pad zero until length is 2
 */
function pad2(num) {
  if (num < 10) {
    return '0' + num;
  }

  return num;
}

function attr(el, attrs) {
  // eslint-disable-next-line
  for (var i in attrs) {
    el.setAttribute(i, attrs[i]);
  }
}

var SVGChart = function (_React$Component) {
  _inherits(SVGChart, _React$Component);

  /**
   * This function computes a plot line by given plot data and configs, separate plot line computation
   * function and DOM manipulation function make it easier to write unit test.
   */
  function SVGChart(props) {
    _classCallCheck(this, SVGChart);

    var _this = _possibleConstructorReturn(this, (SVGChart.__proto__ || Object.getPrototypeOf(SVGChart)).call(this, props));

    _this.shouldComponentUpdate = function (nextProps) {
      // use props.updateKey to control if the chart will update
      return nextProps.updateKey && (nextProps.updateKey === -1 || _this.props.updateKey !== nextProps.updateKey);
    };

    _this.componentDidUpdate = function () {
      _this.initChartSVG();
    };

    _this.initChartSVG = function () {
      _this.refMap = ['svg', 'plotUp', 'plotDown', 'vline', 'plotAreaUp', 'plotAreaDown', 'dot', 'dot2', 'endDot', 'endDot2', 'tooltip', 'baseline', 'rectUp', 'rectDown', 'mask', 'tooltipTime'].reduce(function (p, c) {
        // eslint-disable-next-line
        p[c] = _this[c];

        return p;
      }, {});

      _this.updateChartSVG();
    };

    _this.updateChartSVG = function () {
      var _this$props = _this.props,
          t = _this$props.t,
          c = _this$props.c,
          width = _this$props.width,
          height = _this$props.height,
          padding = _this$props.padding,
          base = _this$props.base,
          highlightLastPoint = _this$props.highlightLastPoint,
          colorPositive = _this$props.colorPositive,
          colorNegative = _this$props.colorNegative,
          session = _this$props.session,
          yGap = _this$props.yGap;


      if (!t || !c || !Array.isArray(t) || !Array.isArray(c) || !_this.refMap || typeof base !== 'number') {
        return;
      }

      var _this$refMap = _this.refMap,
          plotUp = _this$refMap.plotUp,
          plotDown = _this$refMap.plotDown,
          plotAreaUp = _this$refMap.plotAreaUp,
          plotAreaDown = _this$refMap.plotAreaDown,
          baseline = _this$refMap.baseline,
          endDot = _this$refMap.endDot,
          endDot2 = _this$refMap.endDot2,
          rectUp = _this$refMap.rectUp,
          rectDown = _this$refMap.rectDown;

      // this is where the chart polyline created, no painting happens

      var _SVGChart$plotRendere = SVGChart.plotRenderer({
        padding: padding,
        t: t,
        c: c,
        session: session,
        width: width,
        height: height,
        base: base,
        yGap: yGap
      }),
          line = _SVGChart$plotRendere.line,
          xProjection = _SVGChart$plotRendere.xProjection,
          generator = _SVGChart$plotRendere.generator,
          endPoint = _SVGChart$plotRendere.endPoint,
          baseY = _SVGChart$plotRendere.baseY;

      var avg = generator.getY(base);

      _this.plotAreaBoundX = xProjection;

      var dotColor = Colors.Default;

      if (endPoint && endPoint.y < avg) {
        dotColor = colorPositive;
      } else if (endPoint && endPoint.y > avg) {
        dotColor = colorNegative;
      }

      // paint is happening here
      plotUp.setAttribute('d', line);
      plotDown.setAttribute('d', line);
      if (_this.plotAreaBoundX > 0) {
        // d of area will be simply closing the line
        plotAreaUp.setAttribute('d', line + ' L ' + _this.plotAreaBoundX + ' ' + baseY + ' L ' + padding + ' ' + baseY + ' Z');
        plotAreaDown.setAttribute('d', line + ' L ' + _this.plotAreaBoundX + ' 0 L 0 0 Z');
      } else {
        plotAreaUp.removeAttribute('d');
        plotAreaDown.removeAttribute('d');
      }

      // highlight last point
      if (highlightLastPoint && endPoint) {
        endDot.setAttribute('fill', 'rgb(' + dotColor + ')');
        attr(endDot, { transform: 'translate(' + endPoint.x + ', ' + endPoint.y + ')' });
        endDot.setAttribute('r', '3');

        endDot2.setAttribute('fill', 'rgba(' + dotColor + ', 0.2)');
        attr(endDot2, { transform: 'translate(' + endPoint.x + ', ' + endPoint.y + ')' });
        endDot2.setAttribute('r', '10');
      } else {
        endDot.setAttribute('r', '0');
        endDot2.setAttribute('r', '0');
      }

      // no points to draw, draw baseline and update generator
      baseline.setAttribute('d', 'M ' + padding + ' ' + avg + ' L ' + (width - padding * 2) + ' ' + avg);
      rectUp.setAttribute('height', '' + avg);
      rectDown.setAttribute('y', '' + avg);
      rectDown.setAttribute('height', '' + (height - avg));

      _this.setState({
        generator: generator,
        isEmpty: false,
        renderKey: _this.props.updateKey
      });
    };

    _this.handleMouseLeave = function () {
      _this.mouseOver = false;
      _this.performHoverAnimation(-1);
    };

    _this.handleMouseMove = function (e) {
      if (!_this.refMap) {
        return;
      }

      var generator = _this.state.generator;
      var _this$props2 = _this.props,
          padding = _this$props2.padding,
          width = _this$props2.width;
      var _this$refMap2 = _this.refMap,
          svg = _this$refMap2.svg,
          tooltip = _this$refMap2.tooltip,
          tooltipTime = _this$refMap2.tooltipTime;


      var matrix = svg.getScreenCTM();
      var point = svg.createSVGPoint();

      point.x = e.clientX;
      point.y = e.clientY;

      if (matrix && tooltip && generator && tooltipTime) {
        var screenPos = point.matrixTransform(matrix.inverse());

        if (screenPos.x >= width - padding || screenPos.x <= padding) {
          return;
        }

        var _SVGChart$pointSnappi = SVGChart.pointSnapping({
          generator: generator,
          screenPos: screenPos,
          configs: _this.props
        }),
            index = _SVGChart$pointSnappi.index,
            outOfRange = _SVGChart$pointSnappi.outOfRange,
            snapToBaseline = _SVGChart$pointSnappi.snapToBaseline,
            isSnapToEnd = _SVGChart$pointSnappi.isSnapToEnd;

        if (outOfRange && !snapToBaseline) {
          return;
        }

        _this.renderTooltipAtIndex(index, snapToBaseline, isSnapToEnd);
      }
    };

    _this.performHoverAnimation = function (rate) {
      if (_this.state.isEmpty || !_this.refMap) {
        return;
      }

      var _this$refMap3 = _this.refMap,
          tooltip = _this$refMap3.tooltip,
          tooltipTime = _this$refMap3.tooltipTime,
          dot = _this$refMap3.dot,
          dot2 = _this$refMap3.dot2,
          plotUp = _this$refMap3.plotUp,
          plotDown = _this$refMap3.plotDown,
          vline = _this$refMap3.vline;


      var display = rate > 0 ? 'block' : 'none';
      var frames = 0;

      var animate = function animate() {
        plotUp.style.strokeWidth = '' + (+(plotUp.style.strokeWidth || 1) + rate * (1 / 10));
        plotDown.style.strokeWidth = '' + (+(plotDown.style.strokeWidth || 1) + rate * (1 / 10));

        var cr = +(dot.getAttribute('r') || 0);

        dot.setAttribute('r', '' + clamp(4, 0, cr + rate * (4 / 10)));

        var cor = +(dot2.getAttribute('r') || 0);

        dot2.setAttribute('r', '' + clamp(12, 0, cor + rate * (12 / 10)));

        // eslint-disable-next-line
        if (++frames < 10) {
          requestAnimationFrame(animate);
        } else {
          // hard reset plot style
          if (rate < 0) {
            plotUp.style.strokeWidth = '1';
            plotDown.style.strokeWidth = '1';
          }
          // eslint-disable-next-line
          [dot, tooltip, tooltipTime, dot2, vline].forEach(function (s) {
            return s.style.display = display;
          });
        }
      };

      animate();
    };

    _this.renderTooltipAtIndex = function (index, snapToBaseline, isSnapToEnd) {
      var tooltipByDate = _this.props.tooltipByDate;
      var generator = _this.state.generator;


      if (!_this.refMap || !generator) {
        return;
      }
      var getX = generator.getX,
          getY = generator.getY;
      var _this$props3 = _this.props,
          padding = _this$props3.padding,
          t = _this$props3.t,
          c = _this$props3.c,
          width = _this$props3.width,
          height = _this$props3.height,
          base = _this$props3.base,
          colorPositive = _this$props3.colorPositive,
          colorNegative = _this$props3.colorNegative;
      var _this$refMap4 = _this.refMap,
          tooltip = _this$refMap4.tooltip,
          tooltipTime = _this$refMap4.tooltipTime,
          dot = _this$refMap4.dot,
          dot2 = _this$refMap4.dot2,
          vline = _this$refMap4.vline;

      var xBound = t.length - 1;

      var d = void 0;
      var snappedX = void 0;
      var snappedY = void 0;
      var dotColor = Colors.Default;

      // snap to base line
      if (index > xBound || index < 0 || snapToBaseline) {
        // eslint-disable-next-line
        snapToBaseline = true;
        d = base;
        snappedX = isSnapToEnd ? width - padding : padding;
        snappedY = getY(base);
        dot.setAttribute('fill', '#CCC');
        dot2.setAttribute('fill', 'rgba(200, 200, 200, 0.5)');
      } else {
        // snap to quote line
        d = c[index];
        var baseY = getY(base);

        snappedX = getX(t[index]);
        snappedY = getY(c[index]);
        if (snappedY < baseY) {
          dotColor = colorPositive;
        } else if (snappedY > baseY) {
          dotColor = colorNegative;
        }
        dot.setAttribute('fill', 'rgb(' + dotColor + ')');
        dot2.setAttribute('fill', 'rgba(' + dotColor + ', 0.2)');
      }
      var sx = '' + snappedX;
      var sy = '' + snappedY;

      if (!_this.mouseOver) {
        _this.mouseOver = true;
        _this.performHoverAnimation(1);
      }

      attr(vline, {
        x1: sx,
        x2: sx,
        y1: padding,
        y2: height
      });

      // use transform so changes are committed in batch
      attr(dot, { transform: 'translate(' + sx + ', ' + sy + ')' });
      attr(dot2, { transform: 'translate(' + sx + ', ' + sy + ')' });

      vline.style.display = 'block';

      var time = snapToBaseline ? new Date((isSnapToEnd ? generator.maxX : generator.minX) * 1000) : new Date(t[snapToBaseline ? 0 : index] * 1000);

      tooltip.textContent = '' + d;
      tooltipTime.textContent = tooltipByDate ? '[' + pad2(time.getFullYear()) + '-' + pad2(time.getMonth() + 1) + '-' + pad2(time.getDate()) + ']' : '[' + pad2(time.getHours()) + ':' + pad2(time.getMinutes()) + ']';

      var timeBox = tooltipTime.getBBox();
      var txtBox = tooltip.getBBox();
      var paddingSize = padding * 3;

      var tooltipX = snappedX > width / 2 ? snappedX - Math.max(timeBox.width, txtBox.width, 45) - paddingSize : snappedX + paddingSize;

      var fill = snapToBaseline ? '#AAA' : '#000';
      var sign = snappedY + padding * 2 > height - 20 ? -1 : 1;

      // commit changes to time and quote label
      [tooltip, tooltipTime].forEach(function (el, i) {
        attr(el, {
          transform: 'translate(' + tooltipX + ', ' + (snappedY + sign * (padding * 2 + i * 12)) + ')',
          fill: fill
        });
      });
    };

    _this.mouseOver = false;
    _this.plotAreaBoundX = -1;

    // lot of refs here, since we're going to use native call to repaint as it's more performance
    _this.svg = null;
    _this.plotUp = null;
    _this.plotDown = null;
    _this.vline = null;
    _this.plotAreaUp = null;
    _this.plotAreaDown = null;
    _this.dot = null;
    _this.dot2 = null;
    _this.endDot = null;
    _this.endDot2 = null;
    _this.tooltip = null;
    _this.baseline = null;
    _this.rectUp = null;
    _this.rectDown = null;
    _this.mask = null;
    _this.tooltipTime = null;

    _this.setSvg = function (e) {
      _this.svg = e;
    };
    _this.setPlotUp = function (e) {
      _this.plotUp = e;
    };
    _this.setPlotDown = function (e) {
      _this.plotDown = e;
    };
    _this.setVline = function (e) {
      _this.vline = e;
    };
    _this.setPlotAreaUp = function (e) {
      _this.plotAreaUp = e;
    };
    _this.setPlotAreaDown = function (e) {
      _this.plotAreaDown = e;
    };
    _this.setDot = function (e) {
      _this.dot = e;
    };
    _this.setDot2 = function (e) {
      _this.dot2 = e;
    };
    _this.setEndDot = function (e) {
      _this.endDot = e;
    };
    _this.setEndDot2 = function (e) {
      _this.endDot2 = e;
    };
    _this.setTooltip = function (e) {
      _this.tooltip = e;
    };
    _this.setBaseline = function (e) {
      _this.baseline = e;
    };
    _this.setRectUp = function (e) {
      _this.rectUp = e;
    };
    _this.setRectDown = function (e) {
      _this.rectDown = e;
    };
    _this.setMask = function (e) {
      _this.mask = e;
    };
    _this.setTooltipTime = function (e) {
      _this.tooltipTime = e;
    };

    // eslint-disable-next-line
    _this.uniqueIndex = id++;
    _this.uniqueId = '_auneSVGChart-' + _this.uniqueIndex;

    _this.state = {
      generator: null,
      isEmpty: true,
      renderKey: -1
    };

    _this.refMap = null;
    return _this;
  }

  /**
   * The function computes where to show the snapped point from given screen point
   * and render props.
   */


  _createClass(SVGChart, [{
    key: 'componentDidMount',
    value: function componentDidMount() {
      console.warn('SvgChart has been deprecated, please migrate to SvgChartV2');
      if (this.props.updateKey) {
        this.initChartSVG();
      }
    }

    // heavy method which renders SVG strings for the charts

  }, {
    key: 'render',
    value: function render() {
      var _props = this.props,
          height = _props.height,
          width = _props.width,
          colorPositive = _props.colorPositive,
          colorNegative = _props.colorNegative;

      var fgColor = 'rgba(' + Colors.Default + ')';
      var bgColor = 'rgba(' + Colors.Default + ', 0.1)';
      var upFgColor = 'rgb(' + colorPositive + ')';
      var downFgColor = 'rgb(' + colorNegative + ')';
      var upBgColor = 'rgba(' + colorPositive + ', 0.1)';
      var downBgColor = 'rgba(' + colorNegative + ', 0.1)';

      return _react2.default.createElement(
        'svg',
        {
          className: 'simple-chart',
          height: height,
          width: width,
          viewBox: '0 0 ' + width + ' ' + height,
          ref: this.setSvg,
          onMouseLeave: this.handleMouseLeave,
          onMouseMove: this.handleMouseMove
        },
        _react2.default.createElement(
          'defs',
          null,
          _react2.default.createElement(
            'mask',
            { id: 'maskUp-' + this.uniqueId },
            _react2.default.createElement('rect', { ref: this.setRectUp, x: '0', y: '0', width: width, fill: 'white' })
          ),
          _react2.default.createElement(
            'mask',
            { id: 'maskDown-' + this.uniqueId },
            _react2.default.createElement('rect', { ref: this.setRectDown, x: '0', y: '0', width: width, fill: 'white' })
          )
        ),
        _react2.default.createElement('path', { ref: this.setBaseline, stroke: '#DDD', strokeWidth: '1' }),
        _react2.default.createElement('line', { ref: this.setVline, style: { display: 'none' }, stroke: '#DDD' }),
        _react2.default.createElement('path', { ref: this.setPlotUp, stroke: upFgColor, mask: 'url(#maskUp-' + this.uniqueId + ')', fill: 'none' }),
        _react2.default.createElement('path', { ref: this.setPlotDown, stroke: downFgColor, mask: 'url(#maskDown-' + this.uniqueId + ')', fill: 'none' }),
        _react2.default.createElement('path', { ref: this.setPlotAreaUp, fill: upBgColor, mask: 'url(#maskUp-' + this.uniqueId + ')' }),
        _react2.default.createElement('path', { ref: this.setPlotAreaDown, fill: downBgColor, mask: 'url(#maskDown-' + this.uniqueId + ')' }),
        _react2.default.createElement('circle', { ref: this.setEndDot2, r: '0' }),
        _react2.default.createElement('circle', { ref: this.setEndDot, r: '0', strokeWidth: '1', stroke: '#FFF' }),
        _react2.default.createElement('circle', { ref: this.setDot2, r: '0', fill: bgColor }),
        _react2.default.createElement('circle', { ref: this.setDot, r: '0', fill: fgColor, strokeWidth: '1', stroke: '#FFF' }),
        _react2.default.createElement('text', { ref: this.setTooltip, fill: 'black', strokeWidth: '2', fontSize: '12' }),
        _react2.default.createElement('text', { ref: this.setTooltipTime, fill: 'black', strokeWidth: '2', fontSize: '12' })
      );
    }
  }]);

  return SVGChart;
}(_react2.default.Component);

SVGChart.defaultProps = {
  colorPositive: Colors.Positive,
  colorNegative: Colors.Negative,
  padding: 4,
  base: 0,
  yGap: 20,
  highlightLastPoint: false
};

SVGChart.plotRenderer = function (plotData) {
  var padding = plotData.padding,
      t = plotData.t,
      c = plotData.c,
      session = plotData.session,
      width = plotData.width,
      height = plotData.height,
      base = plotData.base,
      yGap = plotData.yGap;

  // find lower and upper bound of y-axis

  var _ref = [Math.min.apply(null, c), Math.max.apply(null, c)],
      yMin = _ref[0],
      yMax = _ref[1];


  var xMax = void 0;
  var xMin = void 0;
  var xProjection = void 0;

  // when sessions are given, use session's first and last element as range of x-axis
  if (session && session.length > 0) {
    xMax = session[session.length - 1][1];
    xMin = session[0][0];
  } else {
    xMax = t.slice(-1)[0];
    xMin = t[0];
  }

  // generator function will be reused til next update, which is a pair of functions
  // that transform given t and c values to X, Y point on the screen
  var generator = getGenerator(padding, width, height, xMin, xMax, Math.min(yMin, base), Math.max(yMax, base), session, yGap);
  var getX = generator.getX,
      getY = generator.getY,
      xr = generator.xr,
      yr = generator.yr;


  var baselineX = -1;
  var baselineY = -1;

  // this is a number which represents the minimal change in t which will results in
  // 1px change on the scree, can be use to boost SVG size and render speed
  var minDiffX = Math.abs(xr) / width;
  var minDiffY = Math.abs(yr) / width;

  // a cursor records last calculated X position, we use this value to close the path of plot area
  // and faster hover point computation.
  xProjection = -1;

  // since the data feed might give us data not inside sessions
  // we should check the index of where the chart series should start with
  var i = 0;

  // skip those points with timestamp less than minimum x value (usually mean start of daily session)
  if (t[i] < xMin) {
    for (; i < t.length; i++) {
      if (t[i] >= xMin) {
        break;
      }
    }
  }

  // move cursor to point of first valid record
  // eslint-disable-next-line
  var line = 'M ' + padding + ' ' + getY(c[i++]);

  for (; i < t.length; i++) {
    var dx = t[i];
    var dy = c[i];

    // skip the points which results in change less than 1pt (optimization)
    if (i !== c.length - 1 && Math.abs(dx - baselineX) < minDiffX && Math.abs(dy - baselineY) < minDiffY) {
      // eslint-disable-next-line
      continue;
    }

    baselineX = dx;
    baselineY = dy;
    var x = getX(dx);
    var y = getY(dy);

    line += ' L ' + x + ' ' + y;

    if (x > xProjection) {
      xProjection = x;
    }
  }

  var endPoint = void 0;

  if (t && t.length && c && c.length) {
    endPoint = {
      x: getX(t.slice(-1)[0]),
      y: getY(c.slice(-1)[0])
    };
  }

  return {
    line: line,
    xProjection: xProjection,
    generator: generator,
    endPoint: endPoint,
    baseY: getY(0) > height ? height - padding : getY(0)
  };
};

SVGChart.pointSnapping = function (args) {
  var generator = args.generator,
      screenPos = args.screenPos,
      configs = args.configs;
  var getX = generator.getX,
      getY = generator.getY,
      minX = generator.minX,
      maxX = generator.maxX;
  var base = configs.base,
      width = configs.width,
      t = configs.t;


  var snapToBaseline = Math.abs(getY(base) - screenPos.y) < 3;
  var isSnapToEnd = screenPos.x > width / 2;

  var index = -1;
  var min = screenPos.x;

  for (var i = 0; i < t.length; i++) {
    var dist = Math.abs(screenPos.x - getX(t[i]));

    if (i - index > 3 && index > 0) {
      break;
    }
    if (dist < min) {
      index = i;
      min = dist;
    }
  }

  var timeStamp = t[index];
  var outOfRange = timeStamp > maxX || timeStamp < minX;

  // do nothing if data is invalid or out-of-range
  if (!timeStamp) {
    index = -1;
  }

  return {
    index: index,
    outOfRange: outOfRange,
    snapToBaseline: snapToBaseline,
    isSnapToEnd: isSnapToEnd
  };
};

exports.default = SVGChart;

/***/ }),

/***/ 402:
/***/ (function(module, exports, __webpack_require__) {

module.exports = __webpack_require__(132);


/***/ })

/******/ });
});