import React from 'react';
import { storiesOf } from '@storybook/react';
import { withNotes } from '@storybook/addon-notes';
import CookieConsentBar from '../CookieConsentBar';
import defaultNote from './CookieConsentBar.md';

const stories = storiesOf('CookieConsentBar', module);

stories.add(
  'cookie同意條',
  withNotes(defaultNote)(() => {
    return <CookieConsentBar />;
  })
);
