export default [
  {
    name: 'news',
    title: '新聞',
    url: 'https://m.cnyes.com/news',
    items: [
      {
        name: 'headline',
        title: '即時頭條',
        url: 'https://m.cnyes.com/news/cat/headline',
      },
      {
        name: 'news24h',
        title: '主編精選',
        url: 'https://m.cnyes.com/news/cat/news24h',
      },
      {
        name: 'tw_stock',
        title: '台股',
        url: 'https://m.cnyes.com/news/cat/tw_stock',
      },
      {
        name: 'wd_stock',
        title: '美股/國際股',
        url: 'https://m.cnyes.com/news/cat/wd_stock',
      },
      {
        name: 'tw_money',
        title: '基金/理財',
        url: 'https://m.cnyes.com/news/cat/tw_money',
      },
      {
        name: 'cn_stock',
        title: '陸港股',
        url: 'https://m.cnyes.com/news/cat/cn_stock',
      },
      {
        name: 'forex',
        title: '外匯',
        url: 'https://m.cnyes.com/news/cat/forex',
      },
      {
        name: 'future',
        title: '期貨商品',
        url: 'https://m.cnyes.com/news/cat/future',
      },
      {
        name: 'cnyeshouse',
        title: '房產',
        url: 'https://m.cnyes.com/news/cat/cnyeshouse',
      },
      {
        name: 'bc',
        title: '虛擬貨幣',
        url: 'https://m.cnyes.com/news/cat/bc',
      },
      {
        name: 'topics',
        title: '專題',
        url: 'https://topics.cnyes.com/',
      },
      {
        name: 'celebrity_area',
        title: '新視界',
        url: 'https://m.cnyes.com/news/cat/celebrity_area',
      },
      {
        name: 'all',
        title: '總覽',
        url: 'https://m.cnyes.com/news/cat/all',
      },
      {
        name: 'china_post',
        title: 'cnPost',
        url: 'https://m.cnyes.com/news/cat/chinapost',
      },
    ],
  },
  {
    name: 'market',
    title: '市場',
    url: 'https://m.cnyes.com/market',
    items: [
      {
        name: 'stockq',
        title: 'StockQ',
        url: 'https://www.cnyes.com/stockQ',
      },
      {
        name: 'index_tse',
        title: '台股 new',
        url: 'https://www.cnyes.com/twstock',
        highlight: true,
      },
      {
        name: 'fund_search',
        title: '基金',
        url: 'https://invest.cnyes.com/funds/search?institutional=0',
      },
      {
        name: 'quote_search',
        title: '個股搜尋',
        url: 'https://www.cnyes.com/search/quote',
      },
      {
        name: 'index_us',
        title: '美股 new',
        url: 'https://www.cnyes.com/usstock',
        highlight: true,
      },
      {
        name: 'market_currency',
        title: '主要匯率',
        url: 'https://www.cnyes.com/stockQ/MainForex#2',
      },
      {
        name: 'crypto',
        title: '虛擬貨幣',
        url: 'https://crypto.cnyes.com/BTC/24h',
      },
      {
        name: 'forex_exchange',
        title: '銀行換匯',
        url: 'https://forex.cnyes.com/currency/USD/TWD',
      },
    ],
  },
  {
    name: 'buy',
    title: '鉅亨買',
    items: [
      {
        name: 'buy_fund',
        title: '買基金',
        url: 'https://www.anuefund.com/Index.aspx?utm_source=cnyes&utm_medium=channel_mainpage',
      },
      {
        name: 'buy_crypto',
        title: '鉅亨買幣',
        url: 'https://campaign.cnyes.com/topics/anuecrypto/?utm_source=mobile&utm_medium=menu',
      },
      {
        name: 'buy_tw_stock',
        title: '豐存台美股',
        url: 'https://campaign.cnyes.com/topics/sinopacsectwstock',
      },
    ],
  },
  {
    name: 'member',
    title: '會員',
    url: 'https://www.cnyes.com/member/',
    items: [
      {
        name: 'my_tag',
        title: '新聞追蹤',
        url: 'https://www.cnyes.com/member/mytag/all',
      },
      {
        name: 'anue_hao',
        title: '鉅亨號',
        url: 'https://hao.cnyes.com',
        highlight: true,
      },
      {
        name: 'info',
        title: '會員中心',
        url: 'https://www.cnyes.com/member/info',
      },
      {
        name: 'anue_store',
        title: '訂閱',
        url: 'https://www.cnyes.com/anuestore',
        highlight: true,
      },
      {
        name: 'fb',
        title: 'FB粉絲團',
        url: 'https://campaign.cnyes.com/topics/anuesns/#facebook',
      },
      {
        name: 'portfolios',
        title: '自選股',
        url: 'https://www.cnyes.com/member/portfolios',
      },
      {
        name: 'line',
        title: 'Line社群',
        url: 'https://campaign.cnyes.com/topics/anuesns/#line',
      },
      {
        name: 'fundsList',
        title: '自選基金',
        url: 'https://invest.cnyes.com/my/fundsList',
      },
      {
        name: 'youtube',
        title: 'Youtube頻道',
        url: 'https://www.youtube.com/channel/UCHzw1et1X2fdz1VsXLO8nlw',
      },
      {
        name: 'app',
        title: '鉅亨APP',
        url: 'https://www.cnyes.com/mobile/index_app.htm',
        highlight: true,
      },
    ],
  },
  {
    name: 'video',
    title: '影音',
    url: 'https://www.cnyes.com/video',
    items: [
      {
        name: 'course',
        title: '投資駕訓班',
        url: 'https://www.cnyes.com/video/course',
      },
      {
        name: 'video_news',
        title: '影音新聞',
        url: 'https://www.cnyes.com/video/news/video_news',
      },
      {
        name: 'hk_stock_lecture',
        title: '港股大講堂',
        url: 'https://www.cnyes.com/video/program/hk_stock_lecture',
      },
      {
        name: 'allen_see_the_world',
        title: '鉅亨看世界',
        url: 'https://www.cnyes.com/video/program/allen_see_the_world',
      },
      {
        name: 'litv',
        title: '免費看片',
        url: 'https://www.cnyes.com/video/litv',
      },
    ],
  },
];
