#!/bin/bash

# https://stackoverfxlow.com/questions/5947742/how-to-change-the-output-color-of-echo-in-linux
Green='\033[0;32m'
NC='\033[0m' # No Color

echo -e "${Green}almost done: Ready to copy 'header.js' file to header folders of static page${NC}"

## declare an array variable
# declare -a headers=("index" "fund" "twstock" "forex" "global" "money" "about")

## now loop through the above array
for key in "index" "fund" "twstock" "forex" "global" "money" "about"
do
  if [ -d "static/dist/header" ]
  then
    cp static/dist/header/header.js static/dist/common/${key}Header/header.js
    cp static/dist/header/header.css static/dist/common/${key}Header/header.css
  fi
  # or do whatever with individual element of the array
done

rm -rf "static/dist/header"
