import React from 'react';
import { storiesOf } from '@storybook/react';
import { withInfo } from '@storybook/addon-info';
import { withNotes } from '@storybook/addon-notes';
import LogoWallCarousel from '../index';
import defaultNotes from './LogoWallCarousel.md';
import settings from './config/settings.json';

const stories = storiesOf('LogoWallCarousel', module);

stories.addDecorator(story => <div style={{ padding: '16px' }}>{story()}</div>);

stories.add(
  '預設',
  withInfo()(
    withNotes(defaultNotes)(() => {
      return <LogoWallCarousel settings={settings} />;
    })
  )
);
