import React from 'react';
import ReactClientDOM from 'react-dom';
import CookieConsentBar from './components/CookieConsentBar/CookieConsentBar';

if (typeof document !== 'undefined') {
  const container = document.getElementById('cookie-consent-bar');

  ReactClientDOM.hydrate(<CookieConsentBar />, container);
}

module.exports = function render() {
  return {
    cookieConsentBar: `
    <html><head><meta charset="utf-8"><link rel="stylesheet" href="cookieConsentBar.css"/></head>
    <body><div id='cookie-consent-bar'></div></body><script src="cookieConsentBar.js"></script></html>`,
  };
};
